Index: /DCWoRMS/trunk/example/experiment1/experiment1.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 491)
+++ /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 499)
@@ -18,7 +18,5 @@
 creatediagrams.gantt=true
 creatediagrams.utilization=Processor
-creatediagrams.energyusage=true
 
 creatediagrams.tasks=true
 creatediagrams.taskswaitingtime=true
-creatediagrams.reservations=true
Index: /DCWoRMS/trunk/example/experiment1/resources.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment1/resources.xml	(revision 477)
+++ /DCWoRMS/trunk/example/experiment1/resources.xml	(revision 499)
@@ -10,16 +10,6 @@
 		<scheduler class="Cluster" name="cluster">
 			<schedulingPlugin>
-				<name>example.localplugin.FCFSRandomClusterLocalPlugin</name>
+				<name>example.localplugin.FCFS_BFLocalPlugin</name>
 			</schedulingPlugin>	
-			<queues>
-				<queue>
-					<name>queue1</name>
-					<priority>1</priority>
-				</queue>
-				<queue>
-					<name>queue2</name>
-					<priority>2</priority>
-				</queue>
-			</queues>	
 			<managedComputingResources include="false">
 				<resourceName>compRes</resourceName>
Index: /DCWoRMS/trunk/example/experiment2/resources.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment2/resources.xml	(revision 477)
+++ /DCWoRMS/trunk/example/experiment2/resources.xml	(revision 499)
@@ -36,7 +36,17 @@
 				<name>example.localplugin.FCFSClusterLocalPlugin</name>
 			</schedulingPlugin>		
-				<managedComputingResources include="true">
-					<resourceName>Rack_0</resourceName>
-				</managedComputingResources>
+			<queues>
+				<queue>
+					<name>queue1</name>
+					<priority>1</priority>
+				</queue>
+				<queue>
+					<name>queue2</name>
+					<priority>2</priority>
+				</queue>
+			</queues>	
+			<managedComputingResources include="true">
+				<resourceName>Rack_0</resourceName>
+			</managedComputingResources>
 		</scheduler>	
 	</resources>
Index: /DCWoRMS/trunk/example/experiment3/resources.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment3/resources.xml	(revision 491)
+++ /DCWoRMS/trunk/example/experiment3/resources.xml	(revision 499)
@@ -179,17 +179,7 @@
 		<scheduler class="Cluster" name="cluster">
 			<schedulingPlugin>
-				<name>example.localplugin.FCFSRandomClusterLocalPlugin</name>
+				<name>example.localplugin.FCFSClusterLocalPlugin</name>
+				<!--  <name>example.localplugin.FCFSCPUFreqScalingClusterLocalPlugin</name> -->
 			</schedulingPlugin>	
-			<queues>
-				<queue>
-					<name>queue1</name>
-					<priority>1</priority>
-				</queue>
-				<queue>
-					<name>queue1</name>
-					<priority>1</priority>
-				</queue>
-			</queues>	
-
 			<managedComputingResources include="false">
 				<resourceName>compRes</resourceName>
Index: /DCWoRMS/trunk/example/experiment4/experiment4.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment4/experiment4.properties	(revision 499)
+++ /DCWoRMS/trunk/example/experiment4/experiment4.properties	(revision 499)
@@ -0,0 +1,20 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment4/resources.xml
+
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/experiment4/workload.swf
+
+# Choose if files with task processing history should be created.  
+printhistory=true
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../experiment4_result
+
+
+creatediagrams.gantt=true
+creatediagrams.taskswaitingtime=false
+creatediagrams.energyusage=ComputingNode
Index: /DCWoRMS/trunk/example/experiment4/workload.swf
===================================================================
--- /DCWoRMS/trunk/example/experiment4/workload.swf	(revision 499)
+++ /DCWoRMS/trunk/example/experiment4/workload.swf	(revision 499)
@@ -0,0 +1,30 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;StartTime: Mon Nov 03 00:00:00 CET 2008
+;PUSpeed: 1
+
+
+		1			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		2			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		3			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		4			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		5			0			-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		6			0			-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+; -----------
+		7			0			-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		8			0			-1		28800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		9			3600		-1		7200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+		10			21600		-1		21600	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		11			25200		-1		25200	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		12			39600		-1		14400	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+  		13			46800		-1		10800	1		-1		-1		1		-1		-1		-1		-1		-1		1		1		1		-1		-1
+ 		
Index: /DCWoRMS/trunk/example/experiment4/RunExperiment.java
===================================================================
--- /DCWoRMS/trunk/example/experiment4/RunExperiment.java	(revision 499)
+++ /DCWoRMS/trunk/example/experiment4/RunExperiment.java	(revision 499)
@@ -0,0 +1,19 @@
+package experiment4;
+import simulator.DataCenterWorkloadSimulator;
+
+
+public class RunExperiment {
+	
+	public static void main(String args[]){
+		RunExperiment runner = new RunExperiment();
+		runner.run();
+	}
+	
+	public void run(){
+		String args[] = {
+				"example/experiment4/experiment4.properties"
+				};
+		DataCenterWorkloadSimulator.main(args);
+	}
+
+}
Index: /DCWoRMS/trunk/example/experiment4/resources.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment4/resources.xml	(revision 499)
+++ /DCWoRMS/trunk/example/experiment4/resources.xml	(revision 499)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	
+	<!-- Data Center description with energy parameters -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<computingResource class="ComputingNode" count="2">
+				<parameter name="category">
+					<value>A</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>750</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+				</profile>
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+			<computingResource class="ComputingNode" count="2">
+				<parameter name="category">
+					<value>B</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>850</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+				</profile>
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<schedulingPlugin>
+				<!-- <name>example.localplugin.FCFSRandomClusterLocalPlugin</name> -->
+				<name>example.localplugin.FCFSNodePowerManagementClusterLocalPlugin</name>
+			</schedulingPlugin>	
+			<managedComputingResources include="false">
+				<resourceName>compRes</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>