Index: DCWoRMS/trunk/src/simulator/ConfigurationOptions.java
===================================================================
--- DCWoRMS/trunk/src/simulator/ConfigurationOptions.java	(revision 495)
+++ DCWoRMS/trunk/src/simulator/ConfigurationOptions.java	(revision 501)
@@ -65,10 +65,11 @@
 	public static final String CREATEDIAGRAMS = "creatediagrams";
 	public static final String CREATEDIAGRAMS_GANTT = CREATEDIAGRAMS +".gantt";
-	public static final String CREATEDIAGRAMS_UTILIZATION = CREATEDIAGRAMS + ".utilization";
-	public static final String CREATEDIAGRAMS_ENERGYUSAGE = CREATEDIAGRAMS + ".energyusage";
-	public static final String CREATEDIAGRAMS_AIRFLOW = CREATEDIAGRAMS + ".airflow";
-	public static final String CREATEDIAGRAMS_RESOURCES_SCALE = CREATEDIAGRAMS_UTILIZATION + ".scale";
 	public static final String CREATEDIAGRAMS_TASKS = CREATEDIAGRAMS + ".tasks";
 	public static final String CREATEDIAGRAMS_TASKSWAITINGTIME = CREATEDIAGRAMS + ".taskswaitingtime";
+	public static final String CREATEDIAGRAMS_UTILIZATION = CREATEDIAGRAMS + ".resutilization";
+	public static final String CREATEDIAGRAMS_ENERGYUSAGE = CREATEDIAGRAMS + ".respowerusage";
+	public static final String CREATEDIAGRAMS_AIRFLOW = CREATEDIAGRAMS + ".resairflow";
+	public static final String CREATEDIAGRAMS_RESOURCES_SCALE = CREATEDIAGRAMS_UTILIZATION + ".scale";
+
 	
 	public static final String CREATESTATISTICS = "createstatistics";
@@ -161,20 +162,19 @@
 	public int numberOfSimulations = 1; //default value
 
-	public boolean creatediagrams_processors = true;
-	public boolean creatediagrams_resources = true;
-	public boolean creatediagrams_energyusage = true;
-	public boolean creatediagrams_airflow = true;
-	public boolean creatediagrams_tasks = true;
-	public boolean creatediagrams_taskswaitingtime = true;
+	public boolean creatediagrams_gantt = false;
+	public boolean creatediagrams_tasks = false;
+	public boolean creatediagrams_taskswaitingtime = false;
+	
+	public boolean creatediagrams_resutilization = false;
+	public boolean creatediagrams_respowerusage = false;
+	public boolean creatediagrams_resairflow = false;
 	public double  creatediagrams_resources_scale = 1;
-	
-	public boolean createaccumulatedresourcesstatistics = true;
-	public boolean createextendedtasksstatistics = true;
+
 	public boolean createjobsstatistics = true;
 	public boolean createsimulationstatistics = true;
 	
-	public String[] resForEnergyChart;
-	public String[] resForAirFlowChart;
-	public String[] resForUtilizationChart;
+	public String [] resForEnergyChart;
+	public String [] resForAirFlowChart;
+	public String [] resForUtilizationChart;
 	
 	/**
@@ -210,5 +210,4 @@
 		
 		co.resdescFileName = bundle.getString(RESOURCE_DESC_MODIFIER);
-
 		
 		try {
@@ -274,11 +273,11 @@
 					bundle.getString(CREATEDIAGRAMS)).booleanValue();
 		} catch(MissingResourceException e){
-			createDiagrams = true;
-		}
-		try {
-			co.creatediagrams_processors = Boolean.valueOf(
-					bundle.getString(CREATEDIAGRAMS_GANTT)).booleanValue() && createDiagrams;
-		} catch(MissingResourceException e){
-			co.creatediagrams_processors = createDiagrams;
+			createDiagrams = false;
+		}
+		try {
+			co.creatediagrams_gantt = Boolean.valueOf(
+					bundle.getString(CREATEDIAGRAMS_GANTT)).booleanValue();
+		} catch(MissingResourceException e){
+			co.creatediagrams_gantt = createDiagrams;
 		}
 
@@ -286,8 +285,8 @@
 			co.resForUtilizationChart = bundle.getString(CREATEDIAGRAMS_UTILIZATION).split(";");
 			if(co.resForUtilizationChart.length > 0){
-				co.creatediagrams_resources = true && createDiagrams;
-			}
-		} catch(MissingResourceException e){
-			co.creatediagrams_resources = createDiagrams;
+				co.creatediagrams_resutilization = true;
+			}
+		} catch(MissingResourceException e){
+			co.creatediagrams_resutilization = createDiagrams;
 		}
 		try {
@@ -300,8 +299,8 @@
 			co.resForEnergyChart = bundle.getString(CREATEDIAGRAMS_ENERGYUSAGE).split(";");
 			if(co.resForEnergyChart.length > 0){
-				co.creatediagrams_energyusage = true && createDiagrams;
-			}
-		} catch(MissingResourceException e){
-			co.creatediagrams_energyusage = createDiagrams;
+				co.creatediagrams_respowerusage = true;
+			}
+		} catch(MissingResourceException e){
+			co.creatediagrams_respowerusage = createDiagrams;
 		}
 		
@@ -309,13 +308,13 @@
 			co.resForAirFlowChart = bundle.getString(CREATEDIAGRAMS_AIRFLOW).split(";");
 			if(co.resForAirFlowChart.length > 0){
-				co.creatediagrams_airflow = true && createDiagrams;
-			}
-		} catch(MissingResourceException e){
-			co.creatediagrams_airflow = createDiagrams;
+				co.creatediagrams_resairflow = true;
+			}
+		} catch(MissingResourceException e){
+			co.creatediagrams_resairflow = createDiagrams;
 		}
 		
 		try {
 			co.creatediagrams_tasks = Boolean.valueOf(
-					bundle.getString(CREATEDIAGRAMS_TASKS)).booleanValue() && createDiagrams;
+					bundle.getString(CREATEDIAGRAMS_TASKS)).booleanValue();
 		} catch(MissingResourceException e){
 			co.creatediagrams_tasks = createDiagrams;
@@ -323,5 +322,5 @@
 		try {
 			co.creatediagrams_taskswaitingtime = Boolean.valueOf(
-					bundle.getString(CREATEDIAGRAMS_TASKSWAITINGTIME)).booleanValue() && createDiagrams;
+					bundle.getString(CREATEDIAGRAMS_TASKSWAITINGTIME)).booleanValue();
 		} catch(MissingResourceException e){
 			co.creatediagrams_taskswaitingtime = createDiagrams;
@@ -334,17 +333,4 @@
 			co.statsOutputSubfolderNameCreate = "stats_create";
 			co.statsOutputSubfolderNameRerad = "stats_read";
-		}
-
-		try {
-			co.createaccumulatedresourcesstatistics = Boolean.valueOf(
-					bundle.getString(ACCUMULATED_RESOURCES_STATISTICS)).booleanValue();
-		} catch(MissingResourceException e){
-			co.createaccumulatedresourcesstatistics = true;
-		}
-		try {
-			co.createextendedtasksstatistics = Boolean.valueOf(
-					bundle.getString(EXTENDED_TASKS_STATISTICS)).booleanValue();
-		} catch(MissingResourceException e){
-			co.createextendedtasksstatistics = true;
 		}
 
Index: DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java
===================================================================
--- DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 497)
+++ DCWoRMS/trunk/src/simulator/stats/implementation/DCWormsStatistics.java	(revision 501)
@@ -294,5 +294,5 @@
 		basicResLoad = calculatePELoad( basicResStats);
 
-		if (configuration.creatediagrams_processors) {
+		if (configuration.creatediagrams_gantt) {
 			createPEGanttDiagram(basicResStats);
 		}
@@ -322,5 +322,5 @@
 					}
 					if(type_stats.get(resourceName).contains(Stats.chartLoad)){
-						if (configuration.creatediagrams_resources) {
+						if (configuration.creatediagrams_resutilization) {
 							createResourceLoadDiagram(resourceUsage);
 						}
@@ -359,5 +359,5 @@
 					if(type_stats.get(resourceName).contains(Stats.chartEnergy)){
 
-						if (configuration.creatediagrams_energyusage) {
+						if (configuration.creatediagrams_respowerusage) {
 							createResourceEnergyDiagramData(energyUsage);
 						}
@@ -397,5 +397,5 @@
 					if(type_stats.get(resourceName).contains(Stats.chartAirFlow)){
 
-						if (configuration.creatediagrams_airflow) {
+						if (configuration.creatediagrams_resairflow) {
 							createResourceAirFlowDiagramData(airFlow);
 						}
@@ -719,5 +719,5 @@
 
 		JFreeChart peDiagram = null;
-		if (configuration.creatediagrams_processors) {
+		if (configuration.creatediagrams_gantt) {
 			peDiagram = getPEGanttDiagram(chartName, subtitle,
 					simulationTime);
@@ -728,5 +728,5 @@
 
 		JFreeChart resourceLoadDiagram = null;
-		if (configuration.creatediagrams_resources) {
+		if (configuration.creatediagrams_resutilization) {
 			String axisName = "UTILIZATION [%]";
 			for(ResourceType resType: resourceLoadDiagrams.keySet()){
@@ -739,5 +739,5 @@
 		
 		JFreeChart resourceEnergyDiagram = null;
-		if (configuration.creatediagrams_energyusage) {
+		if (configuration.creatediagrams_respowerusage) {
 			String axisName = "POWER [W]";
 			for(ResourceType resType: resourcePowerUsageDiagrams.keySet()){
@@ -750,5 +750,5 @@
 		
 		JFreeChart resourceAirFlowDiagram = null;
-		if (configuration.creatediagrams_airflow) {
+		if (configuration.creatediagrams_resairflow) {
 			String axisName = "AIR FLOW [m^3/min]";
 			for(ResourceType resType: resourceAirFlowDiagrams.keySet()){