Index: DCWoRMS/trunk/example/experiment1/resources1.xml
===================================================================
--- DCWoRMS/trunk/example/experiment1/resources1.xml	(revision 503)
+++ DCWoRMS/trunk/example/experiment1/resources1.xml	(revision 503)
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	
+	<!-- Simple data center description -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<computingResource class="Processor" count="6"/>
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<schedulingPlugin>
+				<name>example.localplugin.FCFS_BFLocalPlugin</name>
+			</schedulingPlugin>	
+			<managedComputingResources include="false">
+				<resourceName>compRes</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>
Index: DCWoRMS/trunk/example/experiment1/resources.xml
===================================================================
--- DCWoRMS/trunk/example/experiment1/resources.xml	(revision 499)
+++ 	(revision )
@@ -1,20 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
-	
-	<!-- Simple data center description -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<computingResource class="Processor" count="6"/>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<schedulingPlugin>
-				<name>example.localplugin.FCFS_BFLocalPlugin</name>
-			</schedulingPlugin>	
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>
Index: DCWoRMS/trunk/example/experiment2/resources2.xml
===================================================================
--- DCWoRMS/trunk/example/experiment2/resources2.xml	(revision 503)
+++ DCWoRMS/trunk/example/experiment2/resources2.xml	(revision 503)
@@ -0,0 +1,54 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	
+	<!-- Data center description with some basic characteristics -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<computingResource class="Rack">
+				<resourceUnit class="storage">
+					<amount>1000000</amount>
+				</resourceUnit>
+				<computingResource class="ComputingNode" count="8">
+					<resourceUnit class="memory">
+						<amount>16384</amount>
+					</resourceUnit>
+					<computingResource class="Processor" count="2">
+						<parameter name="speed">
+							<value>1</value>
+						</parameter>
+					</computingResource>
+				</computingResource>	
+				<computingResource class="ComputingNode" count="4">
+					<resourceUnit class="memory">
+						<amount>65536</amount>
+					</resourceUnit>
+					<computingResource class="Processor" count="2">
+						<parameter name="speed">
+							<value>2</value>
+						</parameter>
+					</computingResource>
+				</computingResource>		
+			</computingResource>
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<schedulingPlugin>
+				<name>example.localplugin.FCFSClusterLocalPlugin</name>
+			</schedulingPlugin>		
+			<queues>
+				<queue>
+					<name>queue1</name>
+					<priority>1</priority>
+				</queue>
+				<queue>
+					<name>queue2</name>
+					<priority>2</priority>
+				</queue>
+			</queues>	
+			<managedComputingResources include="true">
+				<resourceName>Rack_0</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+	
+</environment>
Index: DCWoRMS/trunk/example/experiment2/resources.xml
===================================================================
--- DCWoRMS/trunk/example/experiment2/resources.xml	(revision 499)
+++ 	(revision )
@@ -1,54 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
-	
-	<!-- Data center description with some basic characteristics -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<computingResource class="Rack">
-				<resourceUnit class="storage">
-					<amount>1000000</amount>
-				</resourceUnit>
-				<computingResource class="ComputingNode" count="8">
-					<resourceUnit class="memory">
-						<amount>16384</amount>
-					</resourceUnit>
-					<computingResource class="Processor" count="2">
-						<parameter name="speed">
-							<value>1</value>
-						</parameter>
-					</computingResource>
-				</computingResource>	
-				<computingResource class="ComputingNode" count="4">
-					<resourceUnit class="memory">
-						<amount>65536</amount>
-					</resourceUnit>
-					<computingResource class="Processor" count="2">
-						<parameter name="speed">
-							<value>2</value>
-						</parameter>
-					</computingResource>
-				</computingResource>		
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSClusterLocalPlugin</name>
-			</schedulingPlugin>		
-			<queues>
-				<queue>
-					<name>queue1</name>
-					<priority>1</priority>
-				</queue>
-				<queue>
-					<name>queue2</name>
-					<priority>2</priority>
-				</queue>
-			</queues>	
-			<managedComputingResources include="true">
-				<resourceName>Rack_0</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-	
-</environment>
Index: DCWoRMS/trunk/example/experiment3/resources3.xml
===================================================================
--- DCWoRMS/trunk/example/experiment3/resources3.xml	(revision 503)
+++ DCWoRMS/trunk/example/experiment3/resources3.xml	(revision 503)
@@ -0,0 +1,190 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	
+	<!-- Data Center description with energy parameters -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<computingResource class="Rack">
+				<computingResource class="ComputingNode" count="2">
+					<profile>
+						<powerProfile>
+							<energyEstimationPlugin>
+								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>	
+							<powerStates>
+								<powerState>
+									<name>ON</name>
+									<powerUsage>150</powerUsage>
+								</powerState>
+								<powerState>
+									<name>OFF</name>
+									<powerUsage>0</powerUsage>
+								</powerState>
+							</powerStates>				
+						</powerProfile>
+					</profile>
+					<computingResource class="Processor" count="4">
+						<profile>
+							<powerProfile>
+								<energyEstimationPlugin>
+									<name>example.energy.CPUEnergyEstimationPlugin</name>
+								</energyEstimationPlugin>		
+								<parameter name="pState">
+									<property name="name">
+										<value>P0</value>
+									</property>	
+									<property name="frequency">
+										<value unit="Hz">3000</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">350</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P1</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2660</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">343</value>
+									</property>						
+								</parameter>	
+								<parameter name="pState">
+									<property name="name">
+										<value>P2</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2330</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">337</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P3</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2000</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">330</value>
+									</property>						
+								</parameter>								
+							</powerProfile>
+						</profile>
+					</computingResource>
+				</computingResource>	
+				<computingResource class="ComputingNode" count="2">
+					<profile>
+						<powerProfile>
+							<energyEstimationPlugin>
+								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>	
+							<powerStates>
+								<powerState>
+									<name>ON</name>
+									<powerUsage>150</powerUsage>
+								</powerState>
+								<powerState>
+									<name>OFF</name>
+									<powerUsage>0</powerUsage>
+								</powerState>
+							</powerStates>				
+						</powerProfile>
+					</profile>
+					<computingResource class="Processor" count="4">
+						<profile>
+							<powerProfile>
+								<energyEstimationPlugin>
+									<name>example.energy.CPUEnergyEstimationPlugin</name>
+								</energyEstimationPlugin>		
+								<parameter name="pState">
+									<property name="name">
+										<value>P0</value>
+									</property>	
+									<property name="frequency">
+										<value unit="Hz">3000</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">350</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P1</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2660</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">343</value>
+									</property>						
+								</parameter>	
+								<parameter name="pState">
+									<property name="name">
+										<value>P2</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2330</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">337</value>
+									</property>						
+								</parameter>
+								<parameter name="pState">
+									<property name="name">
+										<value>P3</value>
+									</property>	
+									<property name="frequency">
+										<value unit="H`">2000</value>
+									</property>		
+									<property name="voltage">
+										<value unit="V">0</value>
+									</property>
+									<property name="powerUsage">
+										<value unit="W">330</value>
+									</property>						
+								</parameter>								
+							</powerProfile>
+						</profile>
+					</computingResource>
+				</computingResource>	
+			</computingResource>
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<schedulingPlugin>
+				<name>example.localplugin.FCFSClusterLocalPlugin</name>
+				<!--  <name>example.localplugin.FCFSCPUFreqScalingClusterLocalPlugin</name> -->
+			</schedulingPlugin>	
+			<managedComputingResources include="false">
+				<resourceName>compRes</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>
Index: DCWoRMS/trunk/example/experiment3/resources.xml
===================================================================
--- DCWoRMS/trunk/example/experiment3/resources.xml	(revision 502)
+++ 	(revision )
@@ -1,190 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
-	
-	<!-- Data Center description with energy parameters -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<computingResource class="Rack">
-				<computingResource class="ComputingNode" count="2">
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>	
-							<powerStates>
-								<powerState>
-									<name>ON</name>
-									<powerUsage>150</powerUsage>
-								</powerState>
-								<powerState>
-									<name>OFF</name>
-									<powerUsage>0</powerUsage>
-								</powerState>
-							</powerStates>				
-						</powerProfile>
-					</profile>
-					<computingResource class="Processor" count="4">
-						<profile>
-							<powerProfile>
-								<energyEstimationPlugin>
-									<name>example.energy.CPUEnergyEstimationPlugin</name>
-								</energyEstimationPlugin>		
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">3000</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">350</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P1</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2660</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">343</value>
-									</property>						
-								</parameter>	
-								<parameter name="pState">
-									<property name="name">
-										<value>P2</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2330</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">337</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P3</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2000</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">330</value>
-									</property>						
-								</parameter>								
-							</powerProfile>
-						</profile>
-					</computingResource>
-				</computingResource>	
-				<computingResource class="ComputingNode" count="2">
-					<profile>
-						<powerProfile>
-							<energyEstimationPlugin>
-								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>	
-							<powerStates>
-								<powerState>
-									<name>ON</name>
-									<powerUsage>150</powerUsage>
-								</powerState>
-								<powerState>
-									<name>OFF</name>
-									<powerUsage>0</powerUsage>
-								</powerState>
-							</powerStates>				
-						</powerProfile>
-					</profile>
-					<computingResource class="Processor" count="4">
-						<profile>
-							<powerProfile>
-								<energyEstimationPlugin>
-									<name>example.energy.CPUEnergyEstimationPlugin</name>
-								</energyEstimationPlugin>		
-								<parameter name="pState">
-									<property name="name">
-										<value>P0</value>
-									</property>	
-									<property name="frequency">
-										<value unit="Hz">3000</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">350</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P1</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2660</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">343</value>
-									</property>						
-								</parameter>	
-								<parameter name="pState">
-									<property name="name">
-										<value>P2</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2330</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">337</value>
-									</property>						
-								</parameter>
-								<parameter name="pState">
-									<property name="name">
-										<value>P3</value>
-									</property>	
-									<property name="frequency">
-										<value unit="H`">2000</value>
-									</property>		
-									<property name="voltage">
-										<value unit="V">0</value>
-									</property>
-									<property name="powerUsage">
-										<value unit="W">330</value>
-									</property>						
-								</parameter>								
-							</powerProfile>
-						</profile>
-					</computingResource>
-				</computingResource>	
-			</computingResource>
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<schedulingPlugin>
-				<name>example.localplugin.FCFSCPUFreqScalingClusterLocalPlugin</name>
-				<!--  <name>example.localplugin.FCFSCPUFreqScalingClusterLocalPlugin</name> -->
-			</schedulingPlugin>	
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>
Index: DCWoRMS/trunk/example/experiment4/resources4.xml
===================================================================
--- DCWoRMS/trunk/example/experiment4/resources4.xml	(revision 503)
+++ DCWoRMS/trunk/example/experiment4/resources4.xml	(revision 503)
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	
+	<!-- Data Center description with energy parameters -->
+	<resources>
+		<computingResource class="DataCenter" name="compRes">
+			<computingResource class="ComputingNode" count="2">
+				<parameter name="category">
+					<value>A</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>750</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+				</profile>
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+			<computingResource class="ComputingNode" count="2">
+				<parameter name="category">
+					<value>B</value>
+				</parameter>
+				<profile>
+					<powerProfile>
+						<energyEstimationPlugin>
+							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
+						</energyEstimationPlugin>	
+						<powerStates>
+							<powerState>
+								<name>ON</name>
+								<powerUsage>850</powerUsage>
+							</powerState>
+							<powerState>
+								<name>OFF</name>
+								<powerUsage>0</powerUsage>
+							</powerState>
+						</powerStates>				
+					</powerProfile>
+				</profile>
+				<computingResource class="Processor" count="4">
+				</computingResource>
+			</computingResource>	
+		</computingResource>
+		<scheduler class="Cluster" name="cluster">
+			<schedulingPlugin>
+				<!-- <name>example.localplugin.FCFSRandomClusterLocalPlugin</name> -->
+				<name>example.localplugin.FCFSNodePowerManagementClusterLocalPlugin</name>
+			</schedulingPlugin>	
+			<managedComputingResources include="false">
+				<resourceName>compRes</resourceName>
+			</managedComputingResources>
+		</scheduler>	
+	</resources>
+
+</environment>
Index: DCWoRMS/trunk/example/experiment4/resources.xml
===================================================================
--- DCWoRMS/trunk/example/experiment4/resources.xml	(revision 499)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
-	
-	<!-- Data Center description with energy parameters -->
-	<resources>
-		<computingResource class="DataCenter" name="compRes">
-			<computingResource class="ComputingNode" count="2">
-				<parameter name="category">
-					<value>A</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>750</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-				<computingResource class="Processor" count="4">
-				</computingResource>
-			</computingResource>	
-			<computingResource class="ComputingNode" count="2">
-				<parameter name="category">
-					<value>B</value>
-				</parameter>
-				<profile>
-					<powerProfile>
-						<energyEstimationPlugin>
-							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
-						<powerStates>
-							<powerState>
-								<name>ON</name>
-								<powerUsage>850</powerUsage>
-							</powerState>
-							<powerState>
-								<name>OFF</name>
-								<powerUsage>0</powerUsage>
-							</powerState>
-						</powerStates>				
-					</powerProfile>
-				</profile>
-				<computingResource class="Processor" count="4">
-				</computingResource>
-			</computingResource>	
-		</computingResource>
-		<scheduler class="Cluster" name="cluster">
-			<schedulingPlugin>
-				<!-- <name>example.localplugin.FCFSRandomClusterLocalPlugin</name> -->
-				<name>example.localplugin.FCFSNodePowerManagementClusterLocalPlugin</name>
-			</schedulingPlugin>	
-			<managedComputingResources include="false">
-				<resourceName>compRes</resourceName>
-			</managedComputingResources>
-		</scheduler>	
-	</resources>
-
-</environment>