Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Simulation.txt	(revision 508)
@@ -0,0 +1,15 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;57,600;0;0;57,600;57,600;57,600;1;
+Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
+Resources total load;0.184;0;0;0.184;0.184;0.184;1;
+Resources reservation load;?;?;?;?;?;?;0;
+Energy usage;190;283.576;80,415.625;0;750;950;5;
+Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
+Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task start time;0;0;0;0;0;0;13;
+Task flow time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
+Task waiting time;10,523.077;16,251.398;264,107,928.994;0;46,800;136,800;13;
+Task lateness;0;0;0;0;0;0;13;
+Task tardiness;0;0;0;0;0;0;13;
Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_AirThroughput.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_AirThroughput.txt	(revision 508)
@@ -0,0 +1,22 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Tasks.txt	(revision 508)
@@ -0,0 +1,14 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_0];
+2;2;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_1];
+3;3;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_2];
+4;4;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_3];
+5;5;-1;ManagementSystem@cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[Processor_4];
+6;6;-1;ManagementSystem@cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_5];
+7;7;-1;ManagementSystem@cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[Processor_6];
+8;8;-1;ManagementSystem@cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[Processor_7];
+9;9;-1;ManagementSystem@cluster;1;1225670400;1225677600;1225677600;1225670400;1225666800;10800;3600;7200;3600;0;7200;3600;-3600;0;0;0;0;[Processor_8];
+10;10;-1;ManagementSystem@cluster;1;1225688400;1225710000;1225710000;1225688400;1225666800;43200;21600;21600;21600;0;21600;21600;-21600;0;0;0;0;[Processor_4];
+11;11;-1;ManagementSystem@cluster;1;1225692000;1225717200;1225717200;1225692000;1225666800;50400;25200;25200;25200;0;25200;25200;-25200;0;0;0;0;[Processor_5];
+12;12;-1;ManagementSystem@cluster;1;1225706400;1225720800;1225720800;1225706400;1225666800;54000;39600;14400;39600;0;14400;39600;-39600;0;0;0;0;[Processor_6];
+13;13;-1;ManagementSystem@cluster;1;1225713600;1225724400;1225724400;1225713600;1225666800;57600;46800;10800;46800;0;10800;46800;-46800;0;0;0;0;[Processor_4];
Index: /DCWoRMS/trunk/example/experiment4_result/experiment.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/experiment.properties	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/experiment.properties	(revision 508)
@@ -0,0 +1,19 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/experiment4/resources4.xml
+
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/experiment4/workload.swf
+
+# Choose if files with task processing history should be created.  
+printhistory=true
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=../experiment4_result
+
+
+creatediagrams.gantt=true
+creatediagrams.respowerusage=ComputingNode
Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_Jobs.txt	(revision 508)
@@ -0,0 +1,14 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;7,200;7,200;0;7,200;0;0;0;0;7,200;
+2;7,200;7,200;0;7,200;0;0;0;0;7,200;
+3;7,200;7,200;0;7,200;0;0;0;0;7,200;
+4;7,200;7,200;0;7,200;0;0;0;0;7,200;
+5;7,200;7,200;0;7,200;0;0;0;0;7,200;
+6;10,800;10,800;0;10,800;0;0;0;0;10,800;
+7;14,400;14,400;0;14,400;0;0;0;0;14,400;
+8;28,800;28,800;0;28,800;0;0;0;0;28,800;
+9;10,800;7,200;0;7,200;3,600;-3,600;0;0;10,800;
+10;43,200;21,600;0;21,600;21,600;-21,600;0;0;43,200;
+11;50,400;25,200;0;25,200;25,200;-25,200;0;0;50,400;
+12;54,000;14,400;0;14,400;39,600;-39,600;0;0;54,000;
+13;57,600;10,800;0;10,800;46,800;-46,800;0;0;57,600;
Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_EnergyUsage.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_EnergyUsage.txt	(revision 508)
@@ -0,0 +1,37 @@
+resourceName;timestamp;consumption;
+
+ComputingNode_0;1225666800000;750;
+ComputingNode_0;1225674000000;0;
+ComputingNode_0;1225724400000;0;
+mean: 93.75 sum: 1500.0
+
+ComputingNode_1;1225666800000;750;
+ComputingNode_1;1225724400000;0;
+mean: 750.0 sum: 12000.0
+
+ComputingNode_2;1225666800000;0;
+ComputingNode_2;1225670400000;850;
+ComputingNode_2;1225677600000;0;
+ComputingNode_2;1225724400000;0;
+mean: 106.25 sum: 1700.0
+
+ComputingNode_3;1225666800000;0;
+ComputingNode_3;1225724400000;0;
+mean: 0.0 sum: 0.0
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 508)
+++ /DCWoRMS/trunk/example/experiment4_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 508)
@@ -0,0 +1,92 @@
+resourceName;timestamp;utilization;
+compRes;1225666800000;0.5;
+compRes;1225670400000;0.562;
+compRes;1225674000000;0.25;
+compRes;1225677600000;0.125;
+compRes;1225681200000;0.062;
+compRes;1225688400000;0.125;
+compRes;1225692000000;0.188;
+compRes;1225695600000;0.125;
+compRes;1225706400000;0.188;
+compRes;1225710000000;0.125;
+compRes;1225713600000;0.188;
+compRes;1225717200000;0.125;
+compRes;1225720800000;0.062;
+compRes;1225724400000;0;
+mean: 0.18359375
+
+ComputingNode_0;1225666800000;1;
+ComputingNode_0;1225674000000;0;
+mean: 0.125
+
+ComputingNode_1;1225666800000;1;
+ComputingNode_1;1225674000000;0.75;
+ComputingNode_1;1225677600000;0.5;
+ComputingNode_1;1225681200000;0.25;
+ComputingNode_1;1225688400000;0.5;
+ComputingNode_1;1225692000000;0.75;
+ComputingNode_1;1225695600000;0.5;
+ComputingNode_1;1225706400000;0.75;
+ComputingNode_1;1225710000000;0.5;
+ComputingNode_1;1225713600000;0.75;
+ComputingNode_1;1225717200000;0.5;
+ComputingNode_1;1225720800000;0.25;
+ComputingNode_1;1225724400000;0;
+mean: 0.578125
+
+ComputingNode_2;1225670400000;0.25;
+ComputingNode_2;1225677600000;0;
+mean: 0.03125
+
+
+Processor_0;1225666800000;1;
+Processor_0;1225674000000;0;
+mean: 0.125
+
+Processor_1;1225666800000;1;
+Processor_1;1225674000000;0;
+mean: 0.125
+
+Processor_2;1225666800000;1;
+Processor_2;1225674000000;0;
+mean: 0.125
+
+Processor_3;1225666800000;1;
+Processor_3;1225674000000;0;
+mean: 0.125
+
+Processor_4;1225666800000;1;
+Processor_4;1225674000000;0;
+Processor_4;1225688400000;1;
+Processor_4;1225710000000;0;
+Processor_4;1225713600000;1;
+Processor_4;1225724400000;0;
+mean: 0.6875
+
+Processor_5;1225666800000;1;
+Processor_5;1225677600000;0;
+Processor_5;1225692000000;1;
+Processor_5;1225717200000;0;
+mean: 0.625
+
+Processor_6;1225666800000;1;
+Processor_6;1225681200000;0;
+Processor_6;1225706400000;1;
+Processor_6;1225720800000;0;
+mean: 0.5
+
+Processor_7;1225666800000;1;
+Processor_7;1225695600000;0;
+mean: 0.5
+
+Processor_8;1225670400000;1;
+Processor_8;1225677600000;0;
+mean: 0.125
+
+
+
+
+
+
+
+