Index: /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 505)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 509)
@@ -153,7 +153,3 @@
 	}
 
-	public String getName() {
-		return getClass().getName();
-	}
-
 }
Index: /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 493)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 509)
@@ -22,5 +22,4 @@
 		case START_TASK_EXECUTION:
 		case TASK_FINISHED:
-		//case TIMER:
 			
 			// our tasks are placed only in first queue (see BaseLocalPlugin.placeJobsInQueues() method)
Index: /DCWoRMS/trunk/src/simulator/reader/ResourceReader.java
===================================================================
--- /DCWoRMS/trunk/src/simulator/reader/ResourceReader.java	(revision 506)
+++ /DCWoRMS/trunk/src/simulator/reader/ResourceReader.java	(revision 509)
@@ -69,21 +69,5 @@
 			UnknownParameter {
 
-		//File file = new File("src/test/rewolucja/schemas/example/coolemall/example4.xml");
 		File file = new File(resDescFileName);
-		//File file = new File("example/tomekp/experiment1/tomExp3.xml");
-		/*long s =System.currentTimeMillis();
-		System.out.println("start: ");
-		List<Processor> list = new ArrayList<Processor>();
-		for(int i =0;i<3000000;i++){
-			schemas.ComputingResource compResDef = new schemas.ComputingResource();
-			compResDef.setName("a"+i);
-			compResDef.setClazz("Processor");
-			CompResourceDescription resDesc = new CompResourceDescription(compResDef);
-			Processor proc = new Processor(resDesc);
-			list.add(proc);
-		}
-		long e = System.currentTimeMillis();
-		System.out.println("end: ");
-		System.out.println(e-s);*/
 		Environment env = Environment.unmarshal(new FileReader(file));
 		
@@ -183,5 +167,4 @@
 
 		List<ComputingResource> mainCompResourceList = new ArrayList<ComputingResource>();
-		
 		Deque<ComputingResourceDescription> toExamine = new ArrayDeque<ComputingResourceDescription>();
 		Deque<ComputingResource> resStructure = new ArrayDeque<ComputingResource>();
@@ -268,7 +251,5 @@
 			ManagedResources managedResources = new ManagedResources(mainCompResourceList, new HashMap<ResourceUnitName, List<ResourceUnit>>());
 			mainScheduler = ResourceFactory.createScheduler(StandardResourceType.GS, "grid", schedulingPlugin , execTimeEstimationPlugin,  queues, managedResources);
-			/*ManagementSystem ms = new GridBroker("grid",
-					globalSchedulingPluginName, execTimeEstimationPlugin);
-			mainScheduler = new Scheduler(ms, mainCompResourceList);*/
+
 			for(Scheduler lr: mainSchedulers){
 				mainScheduler.addChild(lr);
Index: /DCWoRMS/trunk/src/test/ariel/experiment1.properties
===================================================================
--- /DCWoRMS/trunk/src/test/ariel/experiment1.properties	(revision 506)
+++ /DCWoRMS/trunk/src/test/ariel/experiment1.properties	(revision 509)
@@ -4,11 +4,7 @@
 resdesc=src/test/ariel/resources.xml
 
-
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
 readscenario.workloadfilename=src/test/ariel/workload.swf
-
-# Choose if files with task processing history should be created.  
-printhistory=true
 
 # Choose directory where all result files should be placed.
@@ -17,7 +13,5 @@
 
 creatediagrams.gantt=true
-creatediagrams.utilization=false
-creatediagrams.energyusage=false
 
-creatediagrams.tasks=false
-creatediagrams.taskswaitingtime=false
+creatediagrams.respowerusage=Processor
+
Index: /DCWoRMS/trunk/src/test/ariel/CPUFreqScalingExecTimeEstimationPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/test/ariel/CPUFreqScalingExecTimeEstimationPlugin.java	(revision 506)
+++ /DCWoRMS/trunk/src/test/ariel/CPUFreqScalingExecTimeEstimationPlugin.java	(revision 509)
@@ -30,6 +30,4 @@
 			speed = peUnit.getSpeed();
 		
-		
-
 		int cnt = peUnit.getUsedAmount();
 
Index: /DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java
===================================================================
--- /DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 494)
+++ /DCWoRMS/trunk/src/schedframe/scheduling/Scheduler.java	(revision 509)
@@ -180,9 +180,5 @@
 		}
 	}
-	
-	/*public boolean processOtherEvent(Sim_event ev) {
-		return false;
-	}*/
-	
+
 	protected void processWorkloadUnitReturn(Sim_event ev) {
 		WorkloadUnit job = (WorkloadUnit) ev.get_data();
@@ -214,9 +210,4 @@
 		this.send(this.get_id(), delay, tag, data);
 	}
-	
-	/*protected void send(int dest, int tag, int transaction, Object obj){
-		IO_data data = new Transaction_IO_data(transaction, obj, 8, dest);
-		super.send(dest, GridSimTags.SCHEDULE_NOW, tag, data);
-	}*/
 	
 	public Sim_port getOutputPort() {