Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 491)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 510)
@@ -1,55 +1,55 @@
-resourceName;timestamp;usage;
-compRes;1225666800000;8;
-compRes;1225670400000;9;
-compRes;1225674000000;4;
-compRes;1225677600000;2;
-compRes;1225681200000;1;
-compRes;1225688400000;2;
-compRes;1225692000000;3;
-compRes;1225695600000;2;
-compRes;1225706400000;3;
-compRes;1225710000000;2;
-compRes;1225713600000;3;
-compRes;1225717200000;2;
-compRes;1225720800000;1;
+resourceName;timestamp;utilization;
+compRes;1225666800000;0.5;
+compRes;1225670400000;0.562;
+compRes;1225674000000;0.25;
+compRes;1225677600000;0.125;
+compRes;1225681200000;0.062;
+compRes;1225688400000;0.125;
+compRes;1225692000000;0.188;
+compRes;1225695600000;0.125;
+compRes;1225706400000;0.188;
+compRes;1225710000000;0.125;
+compRes;1225713600000;0.188;
+compRes;1225717200000;0.125;
+compRes;1225720800000;0.062;
 compRes;1225724400000;0;
 mean: 0.18359375
 
-Rack_0;1225666800000;8;
-Rack_0;1225670400000;9;
-Rack_0;1225674000000;4;
-Rack_0;1225677600000;2;
-Rack_0;1225681200000;1;
-Rack_0;1225688400000;2;
-Rack_0;1225692000000;3;
-Rack_0;1225695600000;2;
-Rack_0;1225706400000;3;
-Rack_0;1225710000000;2;
-Rack_0;1225713600000;3;
-Rack_0;1225717200000;2;
-Rack_0;1225720800000;1;
+Rack_0;1225666800000;0.5;
+Rack_0;1225670400000;0.562;
+Rack_0;1225674000000;0.25;
+Rack_0;1225677600000;0.125;
+Rack_0;1225681200000;0.062;
+Rack_0;1225688400000;0.125;
+Rack_0;1225692000000;0.188;
+Rack_0;1225695600000;0.125;
+Rack_0;1225706400000;0.188;
+Rack_0;1225710000000;0.125;
+Rack_0;1225713600000;0.188;
+Rack_0;1225717200000;0.125;
+Rack_0;1225720800000;0.062;
 Rack_0;1225724400000;0;
 mean: 0.18359375
 
-ComputingNode_0;1225666800000;4;
+ComputingNode_0;1225666800000;1;
 ComputingNode_0;1225674000000;0;
-ComputingNode_0;1225688400000;1;
-ComputingNode_0;1225692000000;2;
-ComputingNode_0;1225706400000;3;
-ComputingNode_0;1225710000000;2;
-ComputingNode_0;1225713600000;3;
-ComputingNode_0;1225717200000;2;
-ComputingNode_0;1225720800000;1;
+ComputingNode_0;1225688400000;0.25;
+ComputingNode_0;1225692000000;0.5;
+ComputingNode_0;1225706400000;0.75;
+ComputingNode_0;1225710000000;0.5;
+ComputingNode_0;1225713600000;0.75;
+ComputingNode_0;1225717200000;0.5;
+ComputingNode_0;1225720800000;0.25;
 ComputingNode_0;1225724400000;0;
 mean: 0.4375
 
-ComputingNode_1;1225666800000;4;
-ComputingNode_1;1225674000000;3;
-ComputingNode_1;1225677600000;2;
-ComputingNode_1;1225681200000;1;
+ComputingNode_1;1225666800000;1;
+ComputingNode_1;1225674000000;0.75;
+ComputingNode_1;1225677600000;0.5;
+ComputingNode_1;1225681200000;0.25;
 ComputingNode_1;1225695600000;0;
 mean: 0.265625
 
-ComputingNode_2;1225670400000;1;
+ComputingNode_2;1225670400000;0.25;
 ComputingNode_2;1225677600000;0;
 mean: 0.03125
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 491)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Simulation.txt	(revision 510)
@@ -6,5 +6,5 @@
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
 Resources reservation load;?;?;?;?;?;?;0;
-Energy usage;807.388;461.883;213,335.948;0;1,364.75;4,036.938;5;
+Energy usage;942.5;710.616;504,975;0;1,550;4,712.5;5;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_AirThroughput.txt	(revision 510)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_AirThroughput.txt	(revision 510)
@@ -0,0 +1,23 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: DCWoRMS/trunk/example/experiment3_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 494)
+++ DCWoRMS/trunk/example/experiment3_result/experiment.properties	(revision 510)
@@ -2,13 +2,9 @@
 
 # Path to xml file which describes resource characteristics.
-resdesc=example/experiment3/resources.xml
-
+resdesc=example/experiment3/resources3.xml
 
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
 readscenario.workloadfilename=example/experiment3/workload.swf
-
-# Choose if files with task processing history should be created.  
-printhistory=true
 
 # Choose directory where all result files should be placed.
@@ -17,4 +13,3 @@
 
 creatediagrams.gantt=true
-creatediagrams.taskswaitingtime=false
-creatediagrams.energyusage=ComputingNode;Processor
+creatediagrams.respowerusage=ComputingNode;Processor
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 510)
+++ DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_EnergyUsage.txt	(revision 510)
@@ -0,0 +1,84 @@
+resourceName;timestamp;consumption;
+
+
+ComputingNode_0;1225666800000;1,550;
+ComputingNode_0;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
+
+ComputingNode_1;1225666800000;1,550;
+ComputingNode_1;1225724400000;1,550;
+mean: 1550.0 sum: 24800.0
+
+ComputingNode_2;1225666800000;150;
+ComputingNode_2;1225670400000;1,550;
+ComputingNode_2;1225724400000;1,550;
+mean: 1462.5 sum: 23400.0
+
+ComputingNode_3;1225666800000;150;
+ComputingNode_3;1225724400000;150;
+mean: 150.0 sum: 2400.0
+
+Processor_0;1225666800000;350;
+Processor_0;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_1;1225666800000;350;
+Processor_1;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_2;1225666800000;350;
+Processor_2;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_3;1225666800000;350;
+Processor_3;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_4;1225666800000;350;
+Processor_4;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_5;1225666800000;350;
+Processor_5;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_6;1225666800000;350;
+Processor_6;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_7;1225666800000;350;
+Processor_7;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_8;1225666800000;350;
+Processor_8;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_9;1225666800000;350;
+Processor_9;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_10;1225666800000;350;
+Processor_10;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_11;1225666800000;350;
+Processor_11;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_12;1225666800000;350;
+Processor_12;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_13;1225666800000;350;
+Processor_13;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_14;1225666800000;350;
+Processor_14;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
+Processor_15;1225666800000;350;
+Processor_15;1225724400000;350;
+mean: 350.0 sum: 5600.0
+
Index: DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Energy.txt
===================================================================
--- DCWoRMS/trunk/example/experiment3_result/Stats_Simulation 1_Energy.txt	(revision 491)
+++ 	(revision )
@@ -1,114 +1,0 @@
-resourceName;timestamp;usage;
-
-
-ComputingNode_0;1225666800000;2,150;
-ComputingNode_0;1225674000000;754;
-ComputingNode_0;1225688400000;1,103;
-ComputingNode_0;1225692000000;1,452;
-ComputingNode_0;1225706400000;1,801;
-ComputingNode_0;1225710000000;1,452;
-ComputingNode_0;1225713600000;1,801;
-ComputingNode_0;1225717200000;1,452;
-ComputingNode_0;1225720800000;1,103;
-ComputingNode_0;1225724400000;754;
-mean: 1364.75 sum: 21836.0
-
-ComputingNode_1;1225666800000;2,150;
-ComputingNode_1;1225674000000;1,801;
-ComputingNode_1;1225677600000;1,452;
-ComputingNode_1;1225681200000;1,103;
-ComputingNode_1;1225695600000;754;
-ComputingNode_1;1225724400000;754;
-mean: 1124.8125 sum: 17997.0
-
-ComputingNode_2;1225666800000;750;
-ComputingNode_2;1225670400000;1,103;
-ComputingNode_2;1225677600000;754;
-ComputingNode_2;1225724400000;754;
-mean: 797.375 sum: 12758.0
-
-ComputingNode_3;1225666800000;750;
-ComputingNode_3;1225724400000;750;
-mean: 750.0 sum: 12000.0
-
-Processor_0;1225666800000;350;
-Processor_0;1225674000000;1;
-Processor_0;1225688400000;350;
-Processor_0;1225710000000;1;
-Processor_0;1225713600000;350;
-Processor_0;1225724400000;1;
-mean: 240.9375 sum: 3855.0
-
-Processor_1;1225666800000;350;
-Processor_1;1225674000000;1;
-Processor_1;1225692000000;350;
-Processor_1;1225717200000;1;
-Processor_1;1225724400000;1;
-mean: 197.3125 sum: 3157.0
-
-Processor_2;1225666800000;350;
-Processor_2;1225674000000;1;
-Processor_2;1225706400000;350;
-Processor_2;1225720800000;1;
-Processor_2;1225724400000;1;
-mean: 131.875 sum: 2110.0
-
-Processor_3;1225666800000;350;
-Processor_3;1225674000000;1;
-Processor_3;1225724400000;1;
-mean: 44.625 sum: 714.0
-
-Processor_4;1225666800000;350;
-Processor_4;1225674000000;1;
-Processor_4;1225724400000;1;
-mean: 44.625 sum: 714.0
-
-Processor_5;1225666800000;350;
-Processor_5;1225677600000;1;
-Processor_5;1225724400000;1;
-mean: 66.4375 sum: 1063.0
-
-Processor_6;1225666800000;350;
-Processor_6;1225681200000;1;
-Processor_6;1225724400000;1;
-mean: 88.25 sum: 1412.0
-
-Processor_7;1225666800000;350;
-Processor_7;1225695600000;1;
-Processor_7;1225724400000;1;
-mean: 175.5 sum: 2808.0
-
-Processor_8;1225666800000;1;
-Processor_8;1225670400000;350;
-Processor_8;1225677600000;1;
-Processor_8;1225724400000;1;
-mean: 44.625 sum: 714.0
-
-Processor_9;1225666800000;1;
-Processor_9;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_10;1225666800000;1;
-Processor_10;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_11;1225666800000;1;
-Processor_11;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_12;1225666800000;1;
-Processor_12;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_13;1225666800000;1;
-Processor_13;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_14;1225666800000;1;
-Processor_14;1225724400000;1;
-mean: 1.0 sum: 16.0
-
-Processor_15;1225666800000;1;
-Processor_15;1225724400000;1;
-mean: 1.0 sum: 16.0
-