Index: /DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 497)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 513)
@@ -51,6 +51,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: /DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 512)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 513)
@@ -50,6 +50,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: /DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java	(revision 497)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java	(revision 513)
@@ -36,6 +36,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 509)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 513)
@@ -49,6 +49,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: /DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 497)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 513)
@@ -48,6 +48,5 @@
 
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				if (task.getStatus() == DCWormsTags.READY) {
 
Index: /DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 497)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 513)
@@ -44,6 +44,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 509)
+++ /DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 513)
@@ -28,6 +28,5 @@
 			// check all tasks in queue
 			for (int i = 0; i < q.size(); i++) {
-				WorkloadUnit job = q.get(i);
-				TaskInterface<?> task = (TaskInterface<?>) job;
+				TaskInterface<?> task = q.get(i);
 				
 				// if status of the tasks in READY