Index: DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 514)
@@ -10,5 +10,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFS_BFLocalPlugin extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 514)
@@ -28,5 +28,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSConsolidationClusterLocalPlugin extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 514)
@@ -25,5 +25,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSCPUFreqScalingClusterLocalPlugin extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSRackLocalPlugin.java	(revision 514)
@@ -12,5 +12,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSRackLocalPlugin  extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 514)
@@ -29,5 +29,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSClusterLocalPlugin extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 514)
@@ -28,5 +28,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSNodePowerManagementClusterLocalPlugin extends BaseLocalSchedulingPlugin {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 513)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 514)
@@ -17,5 +17,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 
 public class FCFSRandomClusterLocalPlugin extends BaseLocalSchedulingPlugin {