Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/SchedulingPlugin.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/SchedulingPlugin.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plugin/SchedulingPlugin.java	(revision 515)
@@ -4,5 +4,4 @@
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.scheduling.TaskList;
-import schedframe.scheduling.TaskListImpl;
 import schedframe.scheduling.manager.resources.ResourceManager;
 import schedframe.scheduling.manager.tasks.JobRegistry;
Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/grid/ModuleType.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/grid/ModuleType.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plugin/grid/ModuleType.java	(revision 515)
@@ -12,5 +12,4 @@
 
 	RESOURCE_DISCOVERY("Resource_discovery", ResourceDiscovery.class),
-	JOB_REGISTRY("Job registry", JobRegistry.class),
 	RESOURCE_CALENDAR("Resource Calendar", StaticResourceLoadCalendar.class);
 	//DATA_MANAGER("Data Manager", DataManager.class),
Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/grid/JobRegistry.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/grid/JobRegistry.java	(revision 477)
+++ 	(revision )
@@ -1,53 +1,0 @@
-package schedframe.scheduling.plugin.grid;
-
-import java.util.List;
-
-import schedframe.scheduling.tasks.JobInterface;
-import schedframe.scheduling.tasks.TaskInterface;
-
-
-/**
- * The JobRegistry interface provides information about jobs and tasks 
- * @author Ariel
- *
- */
-public interface JobRegistry extends Module{
-
-	/**
-	 * Provide information about submitted jobs which are active (not finished) 
-	 * @return array of Job objects 
-	 */
-	public List<JobInterface<?>> getActiveJobs();
-
-	/**
-	 * Provide information about submitted tasks which are active (not finished) 
-	 * @return array of Task objects 
-	 */
-	public List<TaskInterface<?>> getActiveTasks();
-	
-	/**
-	 * Gets information about a given job
-	 * @param jobID the identifier of the job
-	 * @return object implementing Job interface
-	 */
-	public JobInterface<?> getJobInfo(String jobID);
-
-	/**
-	 * Gets information about a given task
-	 * @param jobID the identifier of the job the task belongs to
-	 * @param taskId the identifier of the task
-	 * @return object implementing {@link TaskInterface} interface
-	 */
-	public TaskInterface<?> getTaskInfo(String jobID, String taskId);
-
-	/**
-	 * @param jobID the identifier of the job
-	 * @param job
-	 * @return
-	 */
-	public boolean addJob(JobInterface<?> job);
-	
-	
-	public boolean addTask(TaskInterface<?> task);
-	
-}
Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/LocalSchedulingPlugin.java	(revision 515)
@@ -4,5 +4,5 @@
 import schedframe.events.scheduling.SchedulingResponseType;
 import schedframe.scheduling.manager.resources.ResourceManager;
-import schedframe.scheduling.manager.tasks.JobRegistryImpl;
+import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plugin.SchedulingPlugin;
 import schedframe.scheduling.plugin.grid.ModuleList;
@@ -14,5 +14,5 @@
 	public SchedulingResponseType handleResourceAllocationViolation(SchedulingEvent event,
 					TaskQueueList queues, 
-					JobRegistryImpl jobRegistry, 
+					JobRegistry jobRegistry, 
 					ResourceManager resourceManager, ModuleList modules);
 
Index: DCWoRMS/trunk/src/schedframe/resources/computing/extensions/ExtensionType.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/resources/computing/extensions/ExtensionType.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/resources/computing/extensions/ExtensionType.java	(revision 515)
@@ -2,9 +2,7 @@
 
 import schedframe.resources.computing.profiles.energy.EnergyExtension;
-import schedframe.scheduling.plugin.grid.JobRegistry;
 
 public enum ExtensionType {
 
-	JOB_REGISTRY("Job registry", JobRegistry.class),
 	ENERGY_EXTENSION("EnergyExtension", EnergyExtension.class);
 	