Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/ResourceAllocation.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/ResourceAllocation.java	(revision 517)
+++ DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/ResourceAllocation.java	(revision 517)
@@ -0,0 +1,27 @@
+package schedframe.scheduling.plugin.local;
+
+import java.util.Map;
+
+import schedframe.resources.units.ResourceUnit;
+import schedframe.resources.units.ResourceUnitName;
+
+public interface ResourceAllocation {
+	
+	/**
+	 * Allocates resource units( marks as used) on the basis of given resource
+	 * units.
+	 * 
+	 * @param freeRes
+	 *            resource units to be consumed
+	 */
+	public boolean allocateResources(Map<ResourceUnitName, ResourceUnit> freeRes);
+
+	/**
+	 * Frees given resource units.
+	 * 
+	 * @param lastUsedResources
+	 *            resource units to be free
+	 */
+	public void freeResources(Map<ResourceUnitName, ResourceUnit> lastUsedResources);
+	
+}
Index: DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/ResourceAllocationInterface.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/plugin/local/ResourceAllocationInterface.java	(revision 477)
+++ 	(revision )
@@ -1,33 +1,0 @@
-package schedframe.scheduling.plugin.local;
-
-import java.util.Map;
-
-import schedframe.resources.units.ResourceUnit;
-import schedframe.resources.units.ResourceUnitName;
-
-public interface ResourceAllocationInterface {
-	
-	/**
-	 * Allocates resource units( marks as used) on the basis of given resource
-	 * units.
-	 * 
-	 * @param freeRes
-	 *            resource units to be consumed
-	 */
-	public boolean allocateResources(Map<ResourceUnitName, ResourceUnit> freeRes);
-
-	/**
-	 * Frees given resource units.
-	 * 
-	 * @param lastUsedResources
-	 *            resource units to be free
-	 */
-	public void freeResources(Map<ResourceUnitName, ResourceUnit> lastUsedResources);
-	
-	//public void allocateProcessors(Map<ResourceParameterName, ResourceUnit> freeRes);
-	
-
-	//public void clearPendingProcessors(List<Resource> choosenResources);
-	
-
-}
Index: DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 493)
+++ DCWoRMS/trunk/src/schedframe/scheduling/policy/AbstractManagementSystem.java	(revision 517)
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plugin.estimation.ExecutionTimeEstimationPlugin;
 import schedframe.scheduling.plugin.grid.ModuleList;
-import schedframe.scheduling.plugin.local.ResourceAllocationInterface;
+import schedframe.scheduling.plugin.local.ResourceAllocation;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -104,7 +104,7 @@
 	}
 
-	public ResourceAllocationInterface getAllocationManager() {
-		if (resourceManager instanceof ResourceAllocationInterface)
-			return (ResourceAllocationInterface) resourceManager;
+	public ResourceAllocation getAllocationManager() {
+		if (resourceManager instanceof ResourceAllocation)
+			return (ResourceAllocation) resourceManager;
 		else
 			return null;
Index: DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/ResourceManager.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/ResourceManager.java	(revision 477)
+++ DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/ResourceManager.java	(revision 517)
@@ -22,6 +22,4 @@
 
 	public List<? extends ComputingResource> getResourcesByTypeWithStatus(ResourceType type, ResourceStatus status) throws ResourceException;
-
-	//public ResourceCharacteristics getResourceCharacteristic();
 	
 	public Map<ResourceUnitName, List<ResourceUnit>> getSharedResourceUnits();
Index: DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/LocalResourceManager.java
===================================================================
--- DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/LocalResourceManager.java	(revision 490)
+++ DCWoRMS/trunk/src/schedframe/scheduling/manager/resources/LocalResourceManager.java	(revision 517)
@@ -29,8 +29,8 @@
 import schedframe.resources.units.StandardResourceUnitName;
 import schedframe.scheduling.Scheduler;
-import schedframe.scheduling.plugin.local.ResourceAllocationInterface;
-
-
-public class LocalResourceManager implements ResourceAllocationInterface, ResourceManager {
+import schedframe.scheduling.plugin.local.ResourceAllocation;
+
+
+public class LocalResourceManager implements ResourceAllocation, ResourceManager {
 
 	//private Log log = LogFactory.getLog(ResourceManager.class);
@@ -38,5 +38,4 @@
 	protected List<ComputingResource> computingResources;
 	protected List<Scheduler> schedulers;
-	//protected ResourceCharacteristics resourceCharacteristic;
 	protected Map<ResourceUnitName, List<ResourceUnit>> resourceUnits;
 