Index: /DCWoRMS/trunk/example/experiment1/experiment1.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 507)
+++ /DCWoRMS/trunk/example/experiment1/experiment1.properties	(revision 529)
@@ -11,9 +11,16 @@
 stats.outputfolder=../experiment1_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Shows the execution times of tasks
 creatediagrams.tasks=true
+
+# Shows the waiting times of tasks
 creatediagrams.taskswaitingtime=true
 
+# Resource utilization chart - only for processors
 creatediagrams.resutilization=Processor
 
Index: /DCWoRMS/trunk/example/experiment1/resources1.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment1/resources1.xml	(revision 526)
+++ /DCWoRMS/trunk/example/experiment1/resources1.xml	(revision 529)
@@ -1,15 +1,18 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
 	
 	<!-- Simple data center description -->
 	<resources>
 		<computingResource class="DataCenter" name="compRes">
+			<!-- Defined data center contains only 6 processors -->
 			<computingResource class="Processor" count="6"/>
 		</computingResource>
 		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
 			<schedulingPlugin>
 				<name>example.localplugin.FCFSBF_LocalPlugin</name>
 			</schedulingPlugin>	
+			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
 			<managedComputingResources include="false">
 				<resourceName>compRes</resourceName>
Index: /DCWoRMS/trunk/example/experiment2/resources2.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment2/resources2.xml	(revision 526)
+++ /DCWoRMS/trunk/example/experiment2/resources2.xml	(revision 529)
@@ -1,17 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
 	
 	<!-- Data center description with some basic characteristics -->
 	<resources>
 		<computingResource class="DataCenter" name="compRes">
+			<!-- Defined data center contains only 1 rack (if count attribute is not specified a default value=1 is assumed)-->
 			<computingResource class="Rack">
+				<!-- Rack contains storage device with capacity=1000000 (unit according to the user interpretation)-->
 				<resourceUnit class="storage">
 					<amount>1000000</amount>
 				</resourceUnit>
+				<!-- Rack consists of 12 computing nodes, 8 of one type and 4 of another -->
 				<computingResource class="ComputingNode" count="8">
+					<!-- Each of 8 computing nodes contains memory unit=16384 (unit according to the user interpretation)-->
 					<resourceUnit class="memory">
 						<amount>16384</amount>
 					</resourceUnit>
+					<!-- Each of 8 computing nodes contains 2 processors with processing speed=1 MIPS-->
 					<computingResource class="Processor" count="2">
 						<parameter name="speed">
@@ -21,7 +26,9 @@
 				</computingResource>	
 				<computingResource class="ComputingNode" count="4">
+					<!-- Each of 4 computing nodes contains memory unit=65536(unit according to the user interpretation)-->
 					<resourceUnit class="memory">
 						<amount>65536</amount>
 					</resourceUnit>
+					<!-- Each of 4 computing nodes contains 2 processors with processing speed=2 MIPS-->
 					<computingResource class="Processor" count="2">
 						<parameter name="speed">
@@ -33,7 +40,9 @@
 		</computingResource>
 		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
 			<schedulingPlugin>
 				<name>example.localplugin.FCFSBF_ClusterPlugin</name>
 			</schedulingPlugin>		
+			<!-- Definition of available queues-->
 			<queues>
 				<queue>
@@ -46,4 +55,5 @@
 				</queue>
 			</queues>	
+			<!-- Reference to managed resources - cluster manages defined rack and all resources belonging to it -->
 			<managedComputingResources include="true">
 				<resourceName>Rack_0</resourceName>
Index: /DCWoRMS/trunk/example/experiment2/experiment2.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 507)
+++ /DCWoRMS/trunk/example/experiment2/experiment2.properties	(revision 529)
@@ -11,5 +11,9 @@
 stats.outputfolder=../experiment2_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Resource utilization chart - for processors and computing nodes
 creatediagrams.resutilization=ComputingNode;Processor
Index: /DCWoRMS/trunk/example/experiment3/resources3.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment3/resources3.xml	(revision 526)
+++ /DCWoRMS/trunk/example/experiment3/resources3.xml	(revision 529)
@@ -1,16 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
 	
 	<!-- Data Center description with energy parameters -->
 	<resources>
 		<computingResource class="DataCenter" name="compRes">
+			<!-- Defined data center contains only 1 rack (if count attribute is not specified a default value=1 is assumed) -->
 			<computingResource class="Rack">
+				<!-- Rack consists of 4 computing nodes, 2 of one type and 2 of another -->
 				<computingResource class="ComputingNode" count="2">
 					<profile>
+						<!-- Definition of computing node power profile -->
 						<powerProfile>
+							<!-- Reference to energy usage estimation plugin -->
 							<energyEstimationPlugin>
 								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-							</energyEstimationPlugin>	
+							</energyEstimationPlugin>
+							<!-- Definition of supported power states and corresponding power consumption -->	
+							<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->
 							<powerStates>
 								<powerState>
@@ -25,10 +31,15 @@
 						</powerProfile>
 					</profile>
+					<!-- Each of 2 computing nodes contains 4 processors-->
 					<computingResource class="Processor" count="4">
 						<profile>
+							<!-- Definition of processor power profile -->
 							<powerProfile>
+								<!-- Reference to energy usage estimation plugin -->
 								<energyEstimationPlugin>
 									<name>example.energy.CPUEnergyEstimationPlugin</name>
 								</energyEstimationPlugin>		
+								<!-- Definition of supported p-states and corresponding frequency and voltage level and power consumption -->
+								<!-- Units according to the user interpretation -->
 								<parameter name="pState">
 									<property name="name">
@@ -93,8 +104,12 @@
 				<computingResource class="ComputingNode" count="2">
 					<profile>
+						<!-- Definition of computing node power profile -->
 						<powerProfile>
+							<!-- Reference to energy usage estimation plugin -->
 							<energyEstimationPlugin>
 								<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
 							</energyEstimationPlugin>	
+							<!-- Definition of supported power states and corresponding power consumption -->
+							<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->
 							<powerStates>
 								<powerState>
@@ -109,10 +124,15 @@
 						</powerProfile>
 					</profile>
+					<!-- Each of 2 computing nodes contains 4 processors-->
 					<computingResource class="Processor" count="4">
 						<profile>
+							<!-- Definition of processor power profile -->
 							<powerProfile>
+								<!-- Reference to energy usage estimation plugin -->
 								<energyEstimationPlugin>
 									<name>example.energy.CPUEnergyEstimationPlugin</name>
-								</energyEstimationPlugin>		
+								</energyEstimationPlugin>	
+								<!-- Definition of supported p-states and corresponding frequency and voltage level and power consumption -->
+								<!-- Units according to the user interpretation-->	
 								<parameter name="pState">
 									<property name="name">
@@ -178,8 +198,11 @@
 		</computingResource>
 		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<!-- Switch between scheduling/power management plugins to observe the difference in power consumption -->
 			<schedulingPlugin>
 				<name>example.localplugin.FCFSBF_ClusterPlugin</name>
 				<!--  <name>example.localplugin.FCFSBF_DFSClusterPlugin</name> -->
-			</schedulingPlugin>	
+			</schedulingPlugin>
+			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
 			<managedComputingResources include="false">
 				<resourceName>compRes</resourceName>
Index: /DCWoRMS/trunk/example/experiment3/experiment3.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 507)
+++ /DCWoRMS/trunk/example/experiment3/experiment3.properties	(revision 529)
@@ -11,5 +11,9 @@
 stats.outputfolder=../experiment3_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes and processors
 creatediagrams.respowerusage=ComputingNode;Processor
Index: /DCWoRMS/trunk/example/experiment4/resources4.xml
===================================================================
--- /DCWoRMS/trunk/example/experiment4/resources4.xml	(revision 526)
+++ /DCWoRMS/trunk/example/experiment4/resources4.xml	(revision 529)
@@ -1,18 +1,24 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/WormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../simulator/schemas/resources/DCWormsResSchema.xsd">
 	
 	<!-- Data Center description with energy parameters -->
 	<resources>
 		<computingResource class="DataCenter" name="compRes">
+			<!-- Data Center contains of 4 computing nodes belonging to two different classes (with different power consumption level)-->
 			<computingResource class="ComputingNode" count="2">
+				<!-- Defines the computing node category - information can be used by user to facilitate the resource management process within various plugins -->
 				<parameter name="category">
 					<value>A</value>
 				</parameter>
 				<profile>
+					<!-- Definition of computing node power profile -->
 					<powerProfile>
+						<!-- Reference to energy usage estimation plugin -->
 						<energyEstimationPlugin>
 							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
 						</energyEstimationPlugin>	
+						<!-- Definition of supported power states and corresponding power consumption -->	
+						<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->
 						<powerStates>
 							<powerState>
@@ -27,16 +33,22 @@
 					</powerProfile>
 				</profile>
+				<!-- Each of 2 computing nodes contains 4 processors-->
 				<computingResource class="Processor" count="4">
 				</computingResource>
 			</computingResource>	
 			<computingResource class="ComputingNode" count="2">
+				<!-- Defines the computing node category - information can be used by user to facilitate the resource management process within various plugins -->
 				<parameter name="category">
 					<value>B</value>
 				</parameter>
 				<profile>
+					<!-- Definition of computing node power profile -->
 					<powerProfile>
+						<!-- Reference to energy usage estimation plugin -->
 						<energyEstimationPlugin>
 							<name>example.energy.ComputingNodeEnergyEstimationPlugin</name>
-						</energyEstimationPlugin>	
+						</energyEstimationPlugin>
+						<!-- Definition of supported power states and corresponding power consumption -->	
+						<!-- Units according to the user interpretation, however statistics chart generator module by default express the values in Watts -->	
 						<powerStates>
 							<powerState>
@@ -51,4 +63,5 @@
 					</powerProfile>
 				</profile>
+				<!-- Each of 2 computing nodes contains 4 processors-->
 				<computingResource class="Processor" count="4">
 				</computingResource>
@@ -56,8 +69,11 @@
 		</computingResource>
 		<scheduler class="Cluster" name="cluster">
+			<!-- Definition of scheduling plugin at cluster level -->
+			<!-- Switch between scheduling/power management plugins to observe the difference in power consumption -->
 			<schedulingPlugin>
-				<!-- <name>example.localplugin.FCFSRandomClusterLocalPlugin</name> -->
+				<!-- <name>example.localplugin.FCFSBF_RandomClusterPlugin</name> -->
 				<name>example.localplugin.FCFSBF_NodePowerManagementClusterPlugin</name>
 			</schedulingPlugin>	
+			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
 			<managedComputingResources include="false">
 				<resourceName>compRes</resourceName>
Index: /DCWoRMS/trunk/example/experiment4/experiment4.properties
===================================================================
--- /DCWoRMS/trunk/example/experiment4/experiment4.properties	(revision 507)
+++ /DCWoRMS/trunk/example/experiment4/experiment4.properties	(revision 529)
@@ -11,5 +11,9 @@
 stats.outputfolder=../experiment4_result
 
+# Define the type and content of charts to generate
 
+# Gantt chart
 creatediagrams.gantt=true
+
+# Power usage chart - for computing nodes only
 creatediagrams.respowerusage=ComputingNode