Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_ConsolidationClusterPlugin.java	(revision 531)
@@ -45,5 +45,5 @@
 		case TASK_FINISHED:
 			// our tasks are placed only in first queue (see
-			// BaseLocalPlugin.placeJobsInQueues() method)
+			// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
 			// check all tasks in queue
@@ -90,5 +90,5 @@
 				cpuRequest = Double.valueOf(task.getCpuCntRequest()).intValue();
 			} catch (NoSuchFieldException e) {
-				cpuRequest = 1;
+				cpuRequest = 0;
 			}
 			for (int i = 0; i < node.getProcessors().size() && cpuRequest > 0; i++) {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_LocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 531)
@@ -22,5 +22,5 @@
 		case TASK_FINISHED:
 			
-			// our tasks are placed only in first queue (see BaseLocalPlugin.placeJobsInQueues() method)
+			// our tasks are placed only in first queue (see BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
 			
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_DFSClusterPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_DFSClusterPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_DFSClusterPlugin.java	(revision 531)
@@ -28,9 +28,4 @@
 public class FCFSBF_DFSClusterPlugin extends BaseLocalSchedulingPlugin {
 
-	List<Processor> allocatedCPUs;
-	public FCFSBF_DFSClusterPlugin () {
-		allocatedCPUs = new ArrayList<Processor>();
-	}
-
 	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
@@ -39,5 +34,5 @@
 		SchedulingPlan plan = new SchedulingPlan();
 		// our tasks are placed only in first queue (see
-		// BaseLocalPlugin.placeJobsInQueues() method)
+		// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 		TaskQueue q = queues.get(0);
 		// chose the events types to serve.
@@ -73,5 +68,5 @@
 			cpuRequest = Double.valueOf(task.getCpuCntRequest()).intValue();
 		} catch (NoSuchFieldException e) {
-			cpuRequest = 1;
+			cpuRequest = 0;
 		}
 
@@ -79,5 +74,4 @@
 			List<ComputingResource> choosenResources = null;
 			List<Processor> processors = resourceManager.getProcessors();
-			processors.removeAll(allocatedCPUs);
 			if (processors.size() < cpuRequest) {
 				// log.warn("Task requires more cpus than is availiable in this resource.");
@@ -117,9 +111,6 @@
 					cpu.getPowerInterface().setPState("P0");
 			}
-
 		}
-
 	}
 
-
 }
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_RackPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_RackPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_RackPlugin.java	(revision 531)
@@ -30,5 +30,5 @@
 		//case TIMER:
 			// our tasks are placed only in first queue (see
-			// BaseLocalPlugin.placeJobsInQueues() method)
+			// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
 			// check all tasks in queue
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_ClusterPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_ClusterPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_ClusterPlugin.java	(revision 531)
@@ -43,5 +43,5 @@
 		case TASK_FINISHED:
 		//case TIMER:
-			// our tasks are placed only in first queue (see BaseLocalPlugin.placeJobsInQueues() method)
+			// our tasks are placed only in first queue (see BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
 			// check all tasks in queue
@@ -87,5 +87,5 @@
 				cpuRequest = Double.valueOf(task.getCpuCntRequest()).intValue();
 			} catch (NoSuchFieldException e) {
-				cpuRequest = 1;
+				cpuRequest = 0;
 			}
 
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_NodePowerManagementClusterPlugin.java	(revision 531)
@@ -82,5 +82,5 @@
 				cpuRequest = Double.valueOf(task.getCpuCntRequest()).intValue();
 			} catch (NoSuchFieldException e) {
-				cpuRequest = 1;
+				cpuRequest = 0;
 			}
 			for (int i = 0; i < nodes.get(0).getProcessors().size() && cpuRequest > 0; i++) {
Index: DCWoRMS/trunk/src/example/localplugin/FCFSBF_RandomClusterPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSBF_RandomClusterPlugin.java	(revision 525)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSBF_RandomClusterPlugin.java	(revision 531)
@@ -38,5 +38,5 @@
 		//case TIMER:
 			// our tasks are placed only in first queue (see
-			// BaseLocalPlugin.placeJobsInQueues() method)
+			// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
 			TaskQueue q = queues.get(0);
 			